import { CodeMsg } from './Common';
import { CodeMsgAny } from "./CodeMsg";
import { RedisCfg } from './Common';
/**
 *
 * @date 2023-02-16 15:30:42
 * @author 鲜伟坚
 */
declare class Redis {
    private _isEnabled;
    private _client;
    connect(cfg: RedisCfg): Promise<unknown>;
    SELECT(db: number): Promise<CodeMsg<string>>;
    GET(key: string): Promise<CodeMsg<string>>;
    SET(key: string, value: string): Promise<CodeMsg<string>>;
    SETEX(key: string, value: string, expireSeconds: number): Promise<CodeMsg<string>>;
    SETNX(key: string, value: string): Promise<CodeMsg<number>>;
    DEL(key: string): Promise<CodeMsg<number>>;
    INCR(key: string): Promise<CodeMsg<number>>;
    HINCRBY(key: string, field: string, increment: number): Promise<CodeMsg<number>>;
    INCRBy(key: string, increment: number): Promise<CodeMsg<number>>;
    DECR(key: string): Promise<CodeMsg<number>>;
    DECRBY(key: string, decrement: number): Promise<CodeMsg<number>>;
    RENAME(key: string, newkey: string): Promise<CodeMsg<string>>;
    RENAMENX(key: string, newkey: string): Promise<CodeMsg<string>>;
    STRLEN(key: string): Promise<CodeMsg<number>>;
    HSET(key: string, field: string, value: string): Promise<CodeMsg<number>>;
    HGET(key: string, field: string): Promise<CodeMsg<string>>;
    HMSET(key: string, ...args: any[]): Promise<CodeMsgAny>;
    HGETALL(key: string): Promise<CodeMsgAny>;
    MULTI(...args: any[]): Promise<CodeMsgAny>;
    KEYS(pattern: string): Promise<CodeMsg<string[]>>;
    LPUSH(key: string, value: string): Promise<CodeMsg<number>>;
    RPUSH(key: string, value: string): Promise<CodeMsg<number>>;
    RPOP(key: string): Promise<CodeMsg<string>>;
    LLEN(key: string): Promise<CodeMsg<number>>;
    LRANGE(key: string, start: number, stop: number): Promise<CodeMsg<string[]>>;
    HDEL(key: string, ...args: any[]): Promise<CodeMsg<number>>;
    LREM(key: string, value: string, count?: number): Promise<CodeMsg<number>>;
}
declare const defRedisClient: Redis;
export { defRedisClient };
